# geometry_func.cpp File Reference

Geometry functions. More...

`#include "../stdafx.h"`
`#include "geometry_func.hpp"`
`#include "math_func.hpp"`

Go to the source code of this file.

## Functions
Dimension | maxdim (const Dimension &d1, const Dimension &d2)
| Compute bounding box of both dimensions.

## Detailed Description

Geometry functions.

Definition in file geometry_func.cpp.

## Function Documentation

Dimension maxdim | ( | const Dimension & | d1,
|  | const Dimension & | d2 |
| ) |  |  |

Compute bounding box of both dimensions.

Parameters:

  | d1 | First dimension.
  | d2 | Second dimension.

Returns:
  The bounding box of both dimensions, the smallest dimension that surrounds both arguments.

Definition at line 22 of file geometry_func.cpp.

References max().

Referenced by MessageOptionsWindow::OnInit(), SelectCompanyManagerFaceWindow::OnInit(), NWidgetLeaf::SetupSmallestSize(), NWidgetBackground::SetupSmallestSize(), VehicleDetailsWindow::UpdateWidgetSize(), TownDirectoryWindow::UpdateWidgetSize(), TownAuthorityWindow::UpdateWidgetSize(), SubsidyListWindow::UpdateWidgetSize(), StatusBarWindow::UpdateWidgetSize(), SelectStationWindow< T >::UpdateWidgetSize(), CompanyStationsWindow::UpdateWidgetSize(), SignListWindow::UpdateWidgetSize(), GameDifficultyWindow::UpdateWidgetSize(), GameOptionsWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), OrdersWindow::UpdateWidgetSize(), NewsWindow::UpdateWidgetSize(), NewGRFWindow::UpdateWidgetSize(), NetworkClientListPopupWindow::UpdateWidgetSize(), NetworkStartServerWindow::UpdateWidgetSize(), NetworkGameWindow::UpdateWidgetSize(), NetworkContentListWindow::UpdateWidgetSize(), NetworkChatWindow::UpdateWidgetSize(), MusicWindow::UpdateWidgetSize(), MusicTrackSelectionWindow::UpdateWidgetSize(), AboutWindow::UpdateWidgetSize(), SelectGameWindow::UpdateWidgetSize(), IndustryDirectoryWindow::UpdateWidgetSize(), BuildIndustryWindow::UpdateWidgetSize(), VehicleGroupWindow::UpdateWidgetSize(), PaymentRatesGraphWindow::UpdateWidgetSize(), GenerateLandscapeWindow::UpdateWidgetSize(), SetDateWindow::UpdateWidgetSize(), CompanyWindow::UpdateWidgetSize(), SelectCompanyManagerFaceWindow::UpdateWidgetSize(), SelectCompanyLiveryWindow::UpdateWidgetSize(), BuildBridgeWindow::UpdateWidgetSize(), and ReplaceVehicleWindow::UpdateWidgetSize().